﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup>
    <Filter Include="Source Files">
      <UniqueIdentifier>{4FC737F1-C7A5-4376-A066-2A32D752A2FF}</UniqueIdentifier>
      <Extensions>cpp;c;cc;cxx;c++;def;odl;idl;hpj;bat;asm;asmx</Extensions>
    </Filter>
    <Filter Include="Header Files">
      <UniqueIdentifier>{93995380-89BD-4b04-88EB-625FBE52EBFB}</UniqueIdentifier>
      <Extensions>h;hh;hpp;hxx;h++;hm;inl;inc;ipp;xsd</Extensions>
    </Filter>
    <Filter Include="Resource Files">
      <UniqueIdentifier>{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}</UniqueIdentifier>
      <Extensions>rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav;mfcribbon-ms</Extensions>
    </Filter>
    <Filter Include="Shader">
      <UniqueIdentifier>{feea7d4b-ca6b-4405-a18d-74830cb67107}</UniqueIdentifier>
    </Filter>
    <Filter Include="Shader\Explosion">
      <UniqueIdentifier>{35b9cda0-f0e2-4a2f-bb48-8931a790de3d}</UniqueIdentifier>
    </Filter>
    <Filter Include="Shader\Normals">
      <UniqueIdentifier>{69460fcc-2b71-4d25-b5f7-1d2b5a45c0cc}</UniqueIdentifier>
    </Filter>
    <Filter Include="Shader\ShaderWire">
      <UniqueIdentifier>{24d4fb8f-141b-480e-96be-197bd7176d52}</UniqueIdentifier>
    </Filter>
    <Filter Include="Shader\PointSprite">
      <UniqueIdentifier>{f617d875-a854-4414-8c6e-f9fbcc8d730c}</UniqueIdentifier>
    </Filter>
    <Filter Include="Shader\Silhouette">
      <UniqueIdentifier>{770a9b4b-715c-4dbb-a9f7-ae62f21d9609}</UniqueIdentifier>
    </Filter>
    <Filter Include="Shader\Other">
      <UniqueIdentifier>{17347195-9ba9-4634-a245-4600535109d7}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\imgui">
      <UniqueIdentifier>{df554f0e-bc58-432b-a346-e57088c1d3c4}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\camera">
      <UniqueIdentifier>{20c07980-5349-4e99-9e85-e8bcf5d2f289}</UniqueIdentifier>
    </Filter>
    <Filter Include="Shader\PointToCube">
      <UniqueIdentifier>{309e70fa-05f2-4e7a-b2f7-930227915911}</UniqueIdentifier>
    </Filter>
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="main.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="sceneexplosion.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="scenenormals.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="scenepointsprite.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="sceneshadewire.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="scenesilhouette.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="scenesphere.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="..\glad.c">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="..\glutils.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="..\glslprogram.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="..\objmesh.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="..\texture.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="..\trianglemesh.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="..\includes\imgui\imgui.cpp">
      <Filter>Source Files\imgui</Filter>
    </ClCompile>
    <ClCompile Include="..\includes\imgui\imgui_demo.cpp">
      <Filter>Source Files\imgui</Filter>
    </ClCompile>
    <ClCompile Include="..\includes\imgui\imgui_draw.cpp">
      <Filter>Source Files\imgui</Filter>
    </ClCompile>
    <ClCompile Include="..\includes\imgui\imgui_impl_glfw.cpp">
      <Filter>Source Files\imgui</Filter>
    </ClCompile>
    <ClCompile Include="..\includes\imgui\imgui_impl_opengl3.cpp">
      <Filter>Source Files\imgui</Filter>
    </ClCompile>
    <ClCompile Include="..\includes\imgui\imgui_widgets.cpp">
      <Filter>Source Files\imgui</Filter>
    </ClCompile>
    <ClCompile Include="scenePointToCube.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="sceneexplosion.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="scenenormals.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="scenepointsprite.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="sceneshadewire.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="scenesilhouette.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="scenesphere.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="camera\Camera.h">
      <Filter>Source Files\camera</Filter>
    </ClInclude>
    <ClInclude Include="camera\OrbitCamera.h">
      <Filter>Source Files\camera</Filter>
    </ClInclude>
    <ClInclude Include="scenePointToCube.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="SwapScene.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="camera\FirstPersonCamera.h">
      <Filter>Source Files\camera</Filter>
    </ClInclude>
  </ItemGroup>
  <ItemGroup>
    <None Include="shader\explosion.frag">
      <Filter>Shader\Explosion</Filter>
    </None>
    <None Include="shader\explosion.geom">
      <Filter>Shader\Explosion</Filter>
    </None>
    <None Include="shader\explosion.vert">
      <Filter>Shader\Explosion</Filter>
    </None>
    <None Include="shader\ogre.frag">
      <Filter>Shader\Other</Filter>
    </None>
    <None Include="shader\ogre.vert">
      <Filter>Shader\Other</Filter>
    </None>
    <None Include="shader\sphere.frag">
      <Filter>Shader\Other</Filter>
    </None>
    <None Include="shader\sphere.geom">
      <Filter>Shader\Other</Filter>
    </None>
    <None Include="shader\sphere.vert">
      <Filter>Shader\Other</Filter>
    </None>
    <None Include="shader\spherepoints.geom">
      <Filter>Shader\Other</Filter>
    </None>
    <None Include="shader\silhouette.frag">
      <Filter>Shader\Silhouette</Filter>
    </None>
    <None Include="shader\silhouette.geom">
      <Filter>Shader\Silhouette</Filter>
    </None>
    <None Include="shader\silhouette.vert">
      <Filter>Shader\Silhouette</Filter>
    </None>
    <None Include="shader\pointsprite.frag">
      <Filter>Shader\PointSprite</Filter>
    </None>
    <None Include="shader\pointsprite.geom">
      <Filter>Shader\PointSprite</Filter>
    </None>
    <None Include="shader\pointsprite.vert">
      <Filter>Shader\PointSprite</Filter>
    </None>
    <None Include="shader\shadewire.frag">
      <Filter>Shader\ShaderWire</Filter>
    </None>
    <None Include="shader\shadewire.geom">
      <Filter>Shader\ShaderWire</Filter>
    </None>
    <None Include="shader\shadewire.vert">
      <Filter>Shader\ShaderWire</Filter>
    </None>
    <None Include="shader\normals.frag">
      <Filter>Shader\Normals</Filter>
    </None>
    <None Include="shader\normals.geom">
      <Filter>Shader\Normals</Filter>
    </None>
    <None Include="shader\normals.vert">
      <Filter>Shader\Normals</Filter>
    </None>
    <None Include="shader\pointToCube.frag">
      <Filter>Shader\PointToCube</Filter>
    </None>
    <None Include="shader\pointToCube.geom">
      <Filter>Shader\PointToCube</Filter>
    </None>
    <None Include="shader\pointToCube.vert">
      <Filter>Shader\PointToCube</Filter>
    </None>
  </ItemGroup>
</Project>